Disaster recovery

Disaster recovery includes information about how to prepare for system problems, how to use options that can help start a system that otherwise would not start, and how to use the repair and recovery options.

  • To safeguard your system, see Checklist: Safeguarding your system.
  • To recover your system, see Checklist: Recovering a system that will not start.
  • For tips about using disaster recovery, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Safeguarding your system

You can take a number of steps as precautions against the possibility of disk failure or other serious system problems.

Step | Reference
Follow the best practices for security and keep your computer in a secure location. | Best practices
Specify what you want to do if the system stops unexpectedly. For example, you can specify that you want your computer to restart automatically. | To specify what happens when the system stops unexpectedly
Perform regular backups (including backups of your boot and system partitions and your System State). Keep your backup media in a safe place where it is not accessible to a malicious user. | To back up files to a file or a tape
Use the Automated System Recovery Preparation Wizard to create a backup of your system settings and your local system partition. Keep your Automated System Recovery (ASR) set in a safe place where it is not accessible to a malicious user. | To create an Automated System Recovery set using Backup
Keep the installation CD in a safe place where you can easily find it but it is not accessible to a malicious user. Then, if needed, you can start the computer from the CD and use the Recovery Console or Automated System Recovery. | To start the computer and use the Recovery Console on an x86-based or Itanium architecture-based computer To recover from a system failure using Automated System Recovery
Install the Recovery Console as a startup option (only for x86-based computers). | To install the Recovery Console as a startup option on an x86-based computer


Checklist: Recovering a system that will not start

Step | Reference
Try Safe Mode and related startup options, which you can use to start the system with only the minimal necessary services. | Startup options
If other startup options do not help, consider using the Recovery Console. This option is recommended only for advanced users or administrators. | Recovery Console overview To start the computer and use the Recovery Console on an x86-based or Itanium architecture-based computer
If startup options and the Recovery Console do not work in your situation and if you made appropriate advance preparations, try using your original installation disk and an Automated System Recovery (ASR) set to restore your system. | To recover from a system failure using Automated System Recovery


Best practices

  • Use Emergency Management Services if applicable.

    To ensure access to the server regardless of the condition of the network drivers or operating system files, consider setting up Emergency Management Services, a new feature in the Windows Server 2003 family. With Emergency Management Services, you can remotely manage a server in emergency situations that would typically require a local keyboard, mouse, and monitor, such as when the network is unavailable or the server is not functioning properly. Emergency Management Services has specific hardware requirements, and is available only for products in the Windows Server 2003 family.

    For more information, see Emergency Management Services.

  • Create a plan for performing regular backup operations.

    Review and incorporate the best practices for Backup into a plan for backing up all of your files on a regular basis.

    For more information, see Best practices for Backup.

  • Keep the installation CD where you can easily find it.

    If needed, you can start the computer from the installation CD and use the Recovery Console or Automated System Recovery.

    For more information, see To start the computer and use the Recovery Console on an x86-based or Itanium architecture-based computer or To recover from a system failure using Automated System Recovery.

  • Install the Recovery Console as a startup option.

    You can install the Recovery Console on your x-86 computer to make it available in case you are unable to restart Windows. You can then select the Recovery Console option from the list of available operating systems on startup. You cannot install the Recovery Console on an Itanium-based computer.

    For more information, see To install the Recovery Console as a startup option on an x86-based computer.

  • Specify startup and recovery options.

    Specify what you want the operating system to do if the computer stops unexpectedly. For example, you can specify that you want your computer to restart automatically and you can control logging options.

    For information about these options, see To specify what happens when the system stops unexpectedly.


How to...

  • Recover a system that will not start
  • Create an Automated System Recovery set using Backup
  • Install the Recovery Console as a startup option on an x86-based computer
  • Delete the Recovery Console


Recover a system that will not start

  • Start the computer in Safe Mode
  • Start the computer using the last known good configuration
  • Start the computer at a command prompt
  • Start the computer and use the Recovery Console on an x86-based or Itanium architecture-based computer
  • Recover from a system failure using Automated System Recovery


Start the computer in Safe Mode

Microsoft Windows graphic

To start the computer in Safe Mode

  1. Click Start, and then click Shut Down.
  2. Select Restart, and then click OK.
  3. Press F8 at the indicated time:
    • For an x86-based computer: When a screen of text appears and then disappears (the screen of text may include a memory test, lines about the BIOS, and other lines), press F8. There may be a prompt that tells you when to press F8.
    • For an Itanium architecture-based computer: After making your selection from the boot menu, press F8. There may be a prompt that tells you when to press F8.

    For information about configuring system settings that affect whether a prompt for F8 appears and how long it appears, see "To specify the default operating system for startup" in Related Topics at the bottom of this page.

  4. Use the arrow keys to highlight the appropriate Safe Mode option, and then press ENTER.

    5. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  5. Use the arrow keys to highlight an operating system, and then press ENTER.

Notes

  • In Safe Mode, Windows only uses basic files and drivers (that is, mouse, monitor, keyboard, mass storage, base video, default system services, and no network connections). You can choose the Safe Mode with Networking option, which loads all of the above files and drivers plus the essential services and drivers to start networking, or the Safe Mode with Command Prompt option, which is exactly the same as Safe Mode except that a command prompt is started instead of the user interface. You can also choose Last Known Good Configuration startup option, which starts your computer using registry information that was saved at the last shutdown.
  • Safe Mode helps you diagnose problems. If a symptom does not reappear when you start in Safe Mode, you can eliminate the default settings and minimum device drivers as possible causes. If a newly added device or a changed driver is causing problems, you can use Safe Mode to remove the device or reverse the change.
  • There are circumstances where Safe Mode will not be able to help you, such as when Windows system files required to start the system are corrupted or damaged. In this case, the Recovery Console may help you.

Related Topics


Start the computer using the last known good configuration

Microsoft Windows graphic

To start the computer using the last known good configuration

  1. Click Start, and then click Shut Down.
  2. Select Restart, and then click OK.
  3. Press F8 at the indicated time:
    • For an x86-based computer: When a screen of text appears and then disappears (the screen of text may include a memory test, lines about the BIOS, and other lines), press F8. There may be a prompt that tells you when to press F8.
    • For an Itanium architecture-based computer: After making your selection from the boot menu, press F8. There may be a prompt that tells you when to press F8.

    For information about configuring system settings that affect whether a prompt for F8 appears and how long it appears, see "To specify the default operating system for startup" in Related Topics at the bottom of this page.

  4. Use the arrow keys to select Last Known Good Configuration, and then press ENTER.

    5. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  5. Use the arrow keys to highlight an operating system, and then press ENTER.

Notes

  • Choosing the Last Known Good Configuration startup option provides a way to recover from problems such as a newly added driver that may be incorrect for your hardware. It does not solve problems caused by corrupted or missing drivers or files.
  • When you choose Last Known Good Configuration, only the information in registry key HKLM\System\CurrentControlSet is restored. Any changes you have made in other registry keys remain.

Related Topics


Start your computer at a command prompt

Microsoft Windows graphic

To start the computer at a command prompt

  1. Click Start, and then click Shut Down.
  2. Select Restart, and then click OK.
  3. Press F8 at the indicated time:
    • For an x86-based computer: When a screen of text appears and then disappears (the screen of text may include a memory test, lines about the BIOS, and other lines), press F8. There may be a prompt that tells you when to press F8.
    • For an Itanium architecture-based computer: After making your selection from the boot menu, press F8. There may be a prompt that tells you when to press F8.

    For information about configuring system settings that affect whether a prompt for F8 appears and how long it appears, see "To specify the default operating system for startup" in Related Topics at the bottom of this page.

  4. Use the arrow keys to select Safe Mode with Command Prompt, and then press ENTER.

    5. NUM LOCK must be off before the arrow keys on the numeric keypad will function.

  5. Use the arrow keys to highlight an operating system, and then press ENTER.

Related Topics


Concepts

  • Repair overview
  • Understanding disaster recovery
  • Recovery Console commands


Repair overview

The Microsoft® Windows® Server 2003 family includes several features to ensure that your computer and the applications and devices installed on it work correctly. These features help you solve the problems that can result from adding, deleting, or replacing files that your operating system, applications, and devices require to function.

Important

  • XOX

The recovery feature or features that you use depend on the type of problem or failure you encounter. Use the following list to determine which features to use to address a specific problem.

Your personal data files are missing or have been corrupted, or you want to revert to a previous version of a file.

If you have saved a copy of the data file in another location, you can copy it from that location back to your hard disk. You can make a back-up copy at any time by copying the file to another location on your computer, to external storage such as a removable disk, or to a different computer.

Feature: Backup Utility
When to use it: When you need to restore a version of a data file that you saved using Backup.
What it does: Restores files from backups.
For more information, see To restore files from a file or a tape.

After updating a device driver, you can log on, but the system is unstable.

Feature: Device Driver Roll Back
When to use it: When the only change you want to undo is the updating of a device driver (other than a printer driver). You must be logged on as an administrator.
What it does: Reinstalls the driver you were using previously and restores any driver settings that were changed when you added the new driver. Affects no other files or settings. Printer drivers cannot be restored with Device Driver Roll Back.
For more information, see To roll back to the previous version of a driver.

After installing a new device, the system is unstable.

Feature: Disable the Device
When to use it: When you suspect that one or more specific hardware devices are causing the problem. You must be logged on as an administrator.
What it does: Disables the hardware device and its drivers.
For more information, see To disable a device.

After installing an application, the system is unstable or an application is not working properly.

Under some circumstances, the computer will prompt you to repair or reinstall an application from a network location or from the original set-up media (for example, the program CD). If this happens, follow the directions on the screen to repair your program. If you are not prompted with this information, you can use one of the following features to repair your program:

Feature: Add or Remove Programs
When to use it: When you suspect that one or more specific programs are causing the problem.
What it does: Removes the programs you specify.
For more information, see Add or Remove Programs overview.

Operating system does not start (the logon screen does not appear).

Feature: Last Known Good Configuration startup option
When to use it: When you suspect that a change you made to your computer before restarting might be causing the failure.
What it does: Restores the registry settings and drivers that were in effect the last time the computer started successfully.
For more information, see To start the computer using the last known good configuration.
Feature: Recovery Console
When to use it: If using the Last Known Good Configuration startup option is unsuccessful and you cannot start the computer in Safe Mode. This method is recommended only if you are an advanced user who can use basic commands to identify and locate problem drivers and files. To use the Recovery Console, restart the computer with the installation CD for the operating system in the CD drive. When prompted during text-mode setup, press R to start the Recovery Console.
What it does: From the Recovery Console, you can access the drives on your computer. You can then make any of the following changes so that you can start your computer:
  • Enable or disable device drivers or services.
  • Copy files from the installation CD for the operating system, or copy files from other removable media. For example, you can copy an essential file that had been deleted.
  • Create a new boot sector and new master boot record (MBR). You might need to do this if there are problems starting from the existing boot sector.
For more information, see Recovery Console overview.
Feature: Automated System Recovery
When to use it: After all other attempts at recovery fail, or if you have replaced a damaged system hard drive. You must have previously used Backup to create an Automated System Recovery set.
What it does: Automated System Recovery restores all disk signatures, volumes, and partitions on the disks required to start the computer. Automated System Recovery then installs a simplified installation of Windows and automatically starts a restoration using the backup created by the Automated System Recovery Preparation Wizard.
For more information, see Automated System Recovery (ASR) overview.
Feature: Windows installation CD
When to use it: When you cannot start the computer in Safe Mode, you cannot use either the Last Known Good Configuration startup option or the Recovery Console successfully, and you have no backup to use with Automated System Recovery.
What it does: Reinstalls the operating system. You will then need to reinstall your applications and restore your data files from backups.


Understanding disaster recovery

This section covers:
  • Startup options
  • Recovery Console overview
  • Automated System Recovery (ASR) overview


Startup options

If your computer will not start, you may be able to start it in Safe Mode. In Safe Mode, Windows uses default settings (VGA monitor, Microsoft mouse driver, no network connections, and the minimum device drivers required to start Windows).

For example, if your computer will not start after you install new software, you may be able to start it with minimal services in Safe Mode and then change your computer settings or remove the newly installed software that is causing the problem. You can reinstall the service pack or the entire operating system, if necessary.

If a symptom does not reappear when you start in Safe Mode, you can eliminate the default settings and minimum device drivers as possible causes.

Caution

  • The startup options can potentially be used to perform malicious actions on your computer. To protect yourself from this kind of abuse, make sure your computer is in a secure location at all times.

The startup options are:

Safe Mode

Starts using only basic files and drivers (mouse, except serial mice; monitor; keyboard; mass storage; base video; default system services; and no network connections). If your computer does not start successfully using Safe Mode, you may need to use the Recovery Console feature to repair your system.

Safe Mode with Networking

Starts using only basic files and drivers, plus network connections.

Safe Mode with Command Prompt

Starts using only basic files and drivers. After logging on, the command prompt is displayed instead of the Windows desktop, Start menu, and Taskbar.

Enable Boot Logging

Starts while logging all the drivers and services that were loaded (or not loaded) by the system to a file. This file is called ntbtlog.txt and it is located in the %systemroot% directory. Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt add to the boot log a list of all the drivers and services that are loaded. The boot log is useful in determining the exact cause of system startup problems.

Enable VGA Mode

Starts the computer using currently installed video driver at the lowest resolution. The basic video driver is always used when you start in Safe Mode (either Safe Mode, Safe Mode with Networking, or Safe Mode with Command Prompt).

Last Known Good Configuration

Starts using the registry information and drivers that Windows saved at the last logon. Any driver settings or other systems setting changes made since the last successful logon will be lost. Use only in cases of incorrect configuration.

Directory Service Restore Mode

This option is for the server operating systems and is only used in restoring the SYSVOL directory and the Active Directory directory service on a domain controller.

Debugging Mode

Starts while sending debugging information through a serial cable to another computer. The serial cable must be connected to the COM1 port with the baud rate set at 115,200.

If you are using, or have used, Remote Installation Services to install Windows on your computer, you may see additional options related to restoring or recovering your system using Remote Installation Services.

Important

  • Even if you disable the local administrator account, it will still be available when you use Safe Mode.
  • XOX


Troubleshooting

Important

  • For more information about resolving computer issues, see Repair overview.

What problem are you having?

My computer stops and displays a long message beginning with the word STOP.

Cause: Windows has encountered an error from which it cannot recover, and to prevent file damage, has stopped operating.

Solution: For general instructions on troubleshooting STOP messages, see Troubleshooting STOP messages: general strategies. For specific instructions on troubleshooting STOP messages, see Troubleshooting specific STOP messages.

My computer supports starting directly from the CD-ROM drive. However, when I try to start from the setup compact disc, nothing happens.

Cause: To start your computer directly from the setup compact disc, your computer's BIOS or EFI must support the El Torito Bootable CD-ROM (no emulation mode) format. Your BIOS or EFI may not support that format.

Solution: Check with your computer manufacturer if you are unsure whether your computer supports this feature. The BIOS or EFI specifies the boot order. Make sure that the CD-ROM is listed as the first boot device.